package cn.com.countrygarden.bi.main.dto.investment;

import java.math.BigDecimal;

import cn.com.countrygarden.bi.main.model.investment.InvestRegionTotal;

/**
 * 
 * @author 木木子
 *
 */
public class InvestRegionTotalDTO extends InvestRegionTotal {
	// 区域下拉框是否可编辑，1，能编辑，0，不能编辑
	private Boolean regionFlag;

	/**
	 * 项目资金池（理财收益）合计
	 */
	private BigDecimal financialIncomeCapitalSummary;
	/**
	 * 项目单独资金账户（理财收益）合计
	 */
	private BigDecimal financialIncomeCapitalAccountSummary;

	/**
	 * 区域-资金池（募集资金余额）合计
	 */
	private BigDecimal regionaRaisingBalanceCapitalSummary;
	/**
	 * 区域-单独资金账户（募集资金余额）合计
	 */
	private BigDecimal regionaRaisingBalanceCapitalAccountSummary;

	/**
	 * 区域-资金池（可用资金余额）合计
	 */
	private BigDecimal regionaAailableBalanceCapitalSummary;
	/**
	 * 区域-单独资金账户（可用资金余额）合计
	 */
	private BigDecimal regionaAvailableBalanceCapitalAccountSummary;

	public Boolean getRegionFlag() {
		return regionFlag;
	}

	public void setRegionFlag(Boolean regionFlag) {
		this.regionFlag = regionFlag;
	}

	public BigDecimal getFinancialIncomeCapitalSummary() {
		return financialIncomeCapitalSummary;
	}

	public void setFinancialIncomeCapitalSummary(BigDecimal financialIncomeCapitalSummary) {
		this.financialIncomeCapitalSummary = financialIncomeCapitalSummary;
	}

	public BigDecimal getFinancialIncomeCapitalAccountSummary() {
		return financialIncomeCapitalAccountSummary;
	}

	public void setFinancialIncomeCapitalAccountSummary(BigDecimal financialIncomeCapitalAccountSummary) {
		this.financialIncomeCapitalAccountSummary = financialIncomeCapitalAccountSummary;
	}

	public BigDecimal getRegionaRaisingBalanceCapitalSummary() {
		return regionaRaisingBalanceCapitalSummary;
	}

	public void setRegionaRaisingBalanceCapitalSummary(BigDecimal regionaRaisingBalanceCapitalSummary) {
		this.regionaRaisingBalanceCapitalSummary = regionaRaisingBalanceCapitalSummary;
	}

	public BigDecimal getRegionaRaisingBalanceCapitalAccountSummary() {
		return regionaRaisingBalanceCapitalAccountSummary;
	}

	public void setRegionaRaisingBalanceCapitalAccountSummary(BigDecimal regionaRaisingBalanceCapitalAccountSummary) {
		this.regionaRaisingBalanceCapitalAccountSummary = regionaRaisingBalanceCapitalAccountSummary;
	}

	public BigDecimal getRegionaAailableBalanceCapitalSummary() {
		return regionaAailableBalanceCapitalSummary;
	}

	public void setRegionaAailableBalanceCapitalSummary(BigDecimal regionaAailableBalanceCapitalSummary) {
		this.regionaAailableBalanceCapitalSummary = regionaAailableBalanceCapitalSummary;
	}

	public BigDecimal getRegionaAvailableBalanceCapitalAccountSummary() {
		return regionaAvailableBalanceCapitalAccountSummary;
	}

	public void setRegionaAvailableBalanceCapitalAccountSummary(BigDecimal regionaAvailableBalanceCapitalAccountSummary) {
		this.regionaAvailableBalanceCapitalAccountSummary = regionaAvailableBalanceCapitalAccountSummary;
	}
	
	

}
